POST Public/api/DiscountCreate/Get
The entry point for creating links to discount groups
Request Information
URI Parameters
None.
Body Parameters
DiscountCreateRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| AuthToken |
Your unique partner identification token |
globally unique identifier |
Required |
| Group |
The group you wish to add the link to |
Group |
Required |
| Link |
The link you wish to add |
Link |
Required |
Request Formats
application/json, text/json
Sample:
{
"authToken": "4faf0b99-a84e-4260-9837-e39b52496d72",
"group": {
"uid": "53e98742-af1a-4c93-9087-2ee08242065c"
},
"link": {
"name": "sample string 1",
"external_UID": "sample string 2",
"use_Time_Left": 1
}
}
application/xml, text/xml
Sample:
<DiscountCreateController.DiscountCreateRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/HuurayV3.Controllers">
<AuthToken>4faf0b99-a84e-4260-9837-e39b52496d72</AuthToken>
<Group>
<UID>53e98742-af1a-4c93-9087-2ee08242065c</UID>
</Group>
<Link>
<External_UID>sample string 2</External_UID>
<Name>sample string 1</Name>
<Use_Time_Left>1</Use_Time_Left>
</Link>
</DiscountCreateController.DiscountCreateRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Object containing the URI of the created link, along with information the partner and group
DiscountCreateResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| URI |
The URI to activate the newly created link |
URI | |
| AuthToken |
Your unique partner identification token |
globally unique identifier |
Required |
| Group |
The group you wish to add the link to |
Group |
Required |
| Link |
The link you wish to add |
Link |
Required |
Response Formats
application/json, text/json
Sample:
{
"uri": {
"scheme": "sample string 1",
"host": "sample string 2",
"path": "sample string 3",
"queryString": "sample string 4",
"fullPath": "sample string 5"
},
"authToken": "982239d6-cd3a-464d-9129-17488d7c3435",
"group": {
"uid": "afcb7eec-bd7b-432f-83ee-489e86a16556"
},
"link": {
"name": "sample string 1",
"external_UID": "sample string 2",
"use_Time_Left": 1
}
}
application/xml, text/xml
Sample:
<DiscountCreateController.DiscountCreateResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/HuurayV3.Controllers">
<AuthToken>982239d6-cd3a-464d-9129-17488d7c3435</AuthToken>
<Group>
<UID>afcb7eec-bd7b-432f-83ee-489e86a16556</UID>
</Group>
<Link>
<External_UID>sample string 2</External_UID>
<Name>sample string 1</Name>
<Use_Time_Left>1</Use_Time_Left>
</Link>
<URI>
<FullPath>sample string 5</FullPath>
<Host>sample string 2</Host>
<Path>sample string 3</Path>
<QueryString>sample string 4</QueryString>
<Scheme>sample string 1</Scheme>
</URI>
</DiscountCreateController.DiscountCreateResponse>